.footer {
  background: #1e47d6;
  padding: 20px 0 52px;
}

.footer-top {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}

.footer-bottom {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  margin-top: 46px;
}

.footer-bottom__info {
  display: flex;
  align-items: flex-end;
  gap: 30px;
}

.footer-bottom__info-logo {
  max-width: 132px;
}

.footer-bottom__info-address p {
  font-weight: 500;
  font-size: 18px;
  line-height: 2;
  color: #fff;
}

.footer-bottom__link {
  display: flex;
  align-items: flex-end;
  gap: 40px;
  justify-content: space-between;
}

.footer-bottom__link-page {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 60px;
}

.footer-bottom__link-page a {
  font-weight: 500;
  font-size: 16px;
  line-height: 2;
  color: #fff;
}

.footer-bottom__link-external {
  flex: 1;
  max-width: 170px;
}

.footer-bottom__link-external p {
  font-weight: 500;
  font-size: 16px;
  line-height: 2;
  color: #fff;
  margin-bottom: 8px;
}

.footer-copyright {
  border-top: 1px solid #fff;
  margin-top: 44px;
  padding-top: 28px;
}

.footer-copyright p {
  font-weight: 500;
  font-size: 16px;
  line-height: 2;
  color: #fff;
  text-align: center;
}

@media (max-width: 1000px) {
  .footer {
    padding: 60px 0 40px;
  }

  .footer-top {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .footer-bottom {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    margin-top: 46px;
  }

  .footer-bottom__info {
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
    gap: 16px;
  }

  .footer-bottom__info-logo {
    max-width: 100px;
  }

  .footer-bottom__info-address p {
    font-size: 14px;
  }

  .footer-bottom__link {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 30px;
    justify-content: flex-start;
  }

  .footer-bottom__link-page {
    display: grid;
    grid-template-columns: 1fr 1fr;
    flex: 1;
  }

  .footer-bottom__link-page a {
    font-size: 14px;
  }

  .footer-bottom__link-external {
    flex: 1;
    max-width: 140px;
  }

  .footer-bottom__link-external p {
    font-weight: 500;
    font-size: 14px;
    line-height: 2;
    color: #fff;
    margin-bottom: 8px;
  }

  .footer-copyright {
    margin-top: 30px;
    padding-top: 20px;
  }

  .footer-copyright p {
    font-size: 14px;
  }
}
